Subject: [PATCH 00/25] gnu: golang: Add gopls

From: Katherine Cox-Buday <[email-masked]>
Date: Tue, 17 Jan 2023 18:44:45 -0700

This is a patch series to add the gopls package.

I haven't contributed to many projects which use the e-mail flow, so hopefully
I'm doing this correctly. Please feel free to make suggestions if not!

Some of the diffs are a little busier than I'd like for version bumps. This is
due to running `guix style` over everything.

For all of the packages I have:

. Run guix style
. Run guix lint
. Built 2x
. Checked that the change is in the correct branch
. Built all dependencies
. Built the repository

Katherine Cox-Buday (25):
  gnu: go-golang-org-x-sync: Update to 0.1.0-1.8fcdb60.
  gnu: go-golang-org-x-mod: Update to 0.7.0.
  gnu: Add go-golang-org-x-exp.
  gnu: Add go-github-com-jba-printsrc.
  gnu: Add go-github-com-google-safehtml.
  gnu: Add go-github-com-jba-templatecheck.
  gnu: go-github-com-google-go-cmp-cmp: Update to 0.5.9.
  gnu: go-github-com-pkg-diff: Update to
    0.0.0-20210226163009-20ebb0f2a09e.
  gnu: go-github-com-rogpeppe-go-internal: Update to 1.9.0.
  gnu: gopkg-in-errgo-fmt-errors: Rename package to
    go-gopkg-in-errgo-fmt-errors.
  gnu: go-golang-org-x-tools: Update to 0.5.0.
  gnu: Add xurls.
  gnu: Add go-mvdan-cc-xurls.
  gnu: Add misspell.
  gnu: Add go-github-com-client9-misspell.
  gnu: Add go-github-com-google-go-cmdtest.
  gnu: Add unparam.
  gnu: Add go-mvdan-cc-unparam.
  gnu: Add govulncheck.
  gnu: Add go-golang-org-x-vuln.
  gnu: go-github-com-burntsushi-toml: Update to 1.2.1.
  gnu: go-honnef-co-go-tools: Update to 0.3.3.
  gnu: Add gofumpt.
  gnu: Add go-mvdan-cc-gofumpt.
  gnu: Add gopls.

 gnu/packages/configuration-management.scm |   2 +-
 gnu/packages/golang.scm                   | 695 ++++++++++++++++++----
 2 files changed, 578 insertions(+), 119 deletions(-)

base-commit: 5c921977179489caef4a9e54ada6696fc86d2f0b
-- 
2.38.1